import React from "react";
import { Redirect, Switch } from "react-router";
import AuthRoute from "./AuthRoute";
import ProductForm from "./ProductForm";

export default function Main() {
  return (
    <div>
      <Switch>
        <AuthRoute exact path="/products/new">
          <ProductForm />
        </AuthRoute>
        <AuthRoute exact path="/promos/new">NEW PROMO</AuthRoute>
        <AuthRoute exact  path="/products">PRODUCTS</AuthRoute>
        <AuthRoute path="/promos">PROMOS</AuthRoute>
        <AuthRoute exact path="/">
          <Redirect to="/products" />
        </AuthRoute>
        <AuthRoute >404 PAGE</AuthRoute>
      </Switch>
    </div>
  );
}
